part 'dealerRanking.g.dart';

class DealerRanking {
  DealerRanking();

  String dealerId;
  String dealerCode;
  String fullName;

  String cpf;

  String storeCnpj;

  String role;
  String sellerId;
  String companyName;

  String period;
  int position;
  int quantity;
  double totalAmount;

  List<DealerRankingItem> ranking;

  factory DealerRanking.fromJson(Map<String, dynamic> json) =>
      _$DealerRankingFromJson(json);

  Map<String, dynamic> toJson() => _$DealerRankingToJson(this);
}

class DealerRankingItem {
  DealerRankingItem();

  String fullName;
  String imageUrl;
  double totalAmount;
  int position;
  int quantity;

  factory DealerRankingItem.fromJson(Map<String, dynamic> json) =>
      _$DealerRankingItemFromJson(json);

  Map<String, dynamic> toJson() => _$DealerRankingItemToJson(this);
}
